Package com.mouseviator.fsuipc.datarequest

# Enum IDataRequest.RequestType

java.lang.Object
java.lang.Enum<IDataRequest.RequestType>
com.mouseviator.fsuipc.datarequest.IDataRequest.RequestType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<IDataRequest.RequestType>`, `java.lang.constant.Constable`

Enclosing interface:
  IDataRequest<DataType>

    public static enum IDataRequest.RequestType
    extends java.lang.Enum<IDataRequest.RequestType>

This enumeration defines the possible types of data request.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `READ` |
  `WRITE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static IDataRequest.RequestType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static IDataRequest.RequestType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### READ

    public static final IDataRequest.RequestType READ

  - ### WRITE

    public static final IDataRequest.RequestType WRITE

- ## Method Details

  - ### values

    public static IDataRequest.RequestType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static IDataRequest.RequestType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null